# Особенности настройки click-to-call в коробочной версии 1С-Битрикс24 в закрытой сети

{% hint style="info" %}
Актуально только для версий Битрикс24 до 23.300.0, для более поздних версий информация в отдельной [статье](/settings/click-to-call/osobennosti-nastroiki-posle-obnovleniya-bitriks24-23.300.0.md)
{% endhint %}

Для возможности совершения звонков (click-to-call) из коробочной версии Битрикс24 в закрытой сети необходимо внести изменения в файл\
`/home/bitrix/www/bitrix/php_interface/dbconn.php`,\
который можно найти через административный интерфейс 1С-Битрикс24 в разделе

**Контент → Структура сайта → Файлы и папки → bitrix → php\_interface → dbconn.php**,

В файл добавьте код:\
`if($_REQUEST['COMMAND'] === 'startCallViaRest' || $_SERVER['REQUEST_URI'] === '/rest/voximplant.call.startViaRest.json') {define('BITRIXREST_URL', '<Asterisk IP>:8077');}`\
где вместо **`<Asterisk IP>:8077`** введите внутренний адрес вашего сервера с установленным модулем интеграции.

{% hint style="warning" %}
Если не использовать код указанный выше, то на сервере Asterisk должны быть разрешены входящие запросы с адреса `https://oauth.bitrix.info`
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.itgrix.ru/ustanovka-modulya/itgrix-bx-setup/offline/osobennosti-nastroiki-click-to-call-v-korobochnoi-versii-1s-bitriks24-v-zakrytoi-seti.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
